package com.gh.gamecenter.common.base.fragment;

import android.view.MenuItem;

import androidx.annotation.IdRes;
import androidx.annotation.MenuRes;
import androidx.annotation.StringRes;

/**
 * Created by khy on 17/10/17.
 */

public interface ToolbarController {

    void setNavigationTitle(@StringRes int res);

    void setNavigationTitle(String res);

    void setToolbarMenu(@MenuRes int res);

    // 注意 先initMenu 在getMenuItem
    MenuItem getMenuItem(@IdRes int res);

    void hideToolbar(boolean isHide);

    void showAdLabel(boolean isAd);
}
